Bug 1007092 - The ragdolls option causes crash with ODE INTERNAL ERROR
Summary: The ragdolls option causes crash with ODE INTERNAL ERROR
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alienarena
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-11 21:51 UTC by Massimiliano
Modified: 2015-06-21 00:22 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-21 00:13:56 UTC


Attachments (Terms of Use)

Description Massimiliano 2013-09-11 21:51:43 UTC
Description of problem:
Like described in thread http://forums.fedoraforum.org/showthread.php?t=259231 the ragdolls game option causes crash if not disabled.

Version-Release number of selected component (if applicable):
$ rpm -qa alien\*
alienarena-7.65-5.fc19.x86_64
alienarena-data-7.65-5.fc19.noarch

How reproducible:
With ragdolls option enabled I have crashes during game.

Actual results:
From ~/.xsession-errors:
...
ODE INTERNAL ERROR 1: assertion "bNormalizationResult" failed in _dNormalize3() [../../include/ode/odemath.h:437]
AL lib: (EE) alc_cleanup: 1 device not closed
Received signal 6, exiting...
Received signal 11, exiting...
QGridLayoutEngine::addItem: Cell (0, 1) already taken
...
ODE INTERNAL ERROR 1: assertion "bNormalizationResult" failed in _dNormalize4() [../../include/ode/odemath.h:443]
AL lib: (EE) alc_cleanup: 1 device not closed
Received signal 6, exiting...
...
ODE INTERNAL ERROR 1: assertion "bNormalizationResult" failed in _dNormalize3() [../../include/ode/odemath.h:437]
AL lib: (EE) alc_cleanup: 1 device not closed
Received signal 6, exiting...
QGridLayoutEngine::addItem: Cell (0, 1) already taken
...

Additional info:
There is a simple workaround: disable ragdolls option.
My gpu:
# lspci -v -s `lspci | awk '/VGA/{print $1}'`
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 036d
        Flags: bus master, fast devsel, latency 0, IRQ 41
        Memory at b0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at a0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 3050 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915

Comment 1 Fedora End Of Life 2015-01-09 19:48:38 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Massimiliano 2015-01-12 20:42:33 UTC
Still alive in F20:

$ rpm -q alienarena
alienarena-7.66-1.fc20.x86_64

Comment 3 Tom "spot" Callaway 2015-01-12 21:27:23 UTC
Upstream seems to think there is a patch that will resolve some of the ragdoll libODE issues. I'll make an update and you can test it to see. :)

Comment 4 Fedora Update System 2015-01-14 17:09:22 UTC
alienarena-7.66-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/alienarena-7.66-6.fc21

Comment 5 Fedora Update System 2015-01-14 17:09:28 UTC
alienarena-7.66-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/alienarena-7.66-6.fc20

Comment 6 Fedora Update System 2015-01-17 05:39:36 UTC
Package alienarena-7.66-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alienarena-7.66-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0752/alienarena-7.66-6.fc20
then log in and leave karma (feedback).

Comment 7 Massimiliano 2015-01-20 22:46:52 UTC
Humm, just tested:

$ rpm -qa alienarena*
alienarena-data-7.66-6.fc20.noarch
alienarena-7.66-6.fc20.x86_64

An extract of my log (the ragdoll effect is enabled):

$ alienarena-wrapper 

[...]

--------- [Loading Renderer] ---------
Initializing OpenGL display
...setting fullscreen mode 8: 1366 768
Using XFree86-VidModeExtension Version 2.2
...initialised TTF engine
GL_VENDOR: Intel Open Source Technology Center
GL_RENDERER: Mesa DRI Intel(R) Ivybridge Mobile 
GL_VERSION: 3.0 Mesa 10.3.3
GL_EXTENSIONS: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_APPLE_packed_pixels GL_APPLE_vertex_array_object GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_performance_monitor GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_texture_lod GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_ARB_get_program_binary GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_shader_trinary_minmax GL_ARB_ES3_compatibility GL_ARB_clear_buffer_object GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_invalidate_subdata GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_multi_bind GL_ARB_seamless_cubemap_per_texture GL_ARB_texture_mirror_clamp_to_edge GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_conditional_render_inverted GL_ARB_derivative_control 
...allowing CDS
...enabling GL_EXT_compiled_vertex_array
...ignoring GL_EXT_point_parameters
...using GL_ARB_multitexture
...using GL_ARB_texture_env_combine
...using GL_EXT_texture_filter_anisotropic
...using GL_EXT_stencil_wrap
...using GL_EXT_stencil_two_side
...using GL_ARB_vertex_buffer_object
...using GL_EXT_framebuffer_blit
...ODE initialized.
...Ragdolls initialized.
------------------------------------

[...]

Sudden Impact!
RagDollWorld Settings: CFM (0.000005500000)  ERP (0.300)
Condensed ^22660 texinfos into ^296 equivalent texinfos
Loaded maps/dm-impact.lightmap

[...]

ODE INTERNAL ERROR 1: assertion "bNormalizationResult" failed in _dNormalize4() [../../include/ode/odemath.h:443]
Received signal 6, exiting...
AL lib: (EE) alc_cleanup: 1 device not closed

Comment 8 Fedora End Of Life 2015-05-29 09:23:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Massimiliano 2015-06-07 09:25:53 UTC
Tested for a while, I still receive (after crash):

ODE INTERNAL ERROR 1: assertion "bNormalizationResult" failed in _dNormalize4() [../../include/ode/odemath.h:443]
Received signal 6, exiting...
AL lib: (EE) alc_cleanup: 1 device not closed

$ rpm -qa *ode-double* *alienarena*
ode-double-0.12-6.fc21.x86_64
alienarena-7.66-4.fc21.x86_64
alienarena-data-7.66-4.fc21.noarch

Comment 10 Fedora Update System 2015-06-09 21:14:51 UTC
alienarena-7.66-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/alienarena-7.66-7.fc22

Comment 11 Fedora Update System 2015-06-09 21:15:00 UTC
alienarena-7.66-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/alienarena-7.66-7.fc21

Comment 12 Fedora Update System 2015-06-09 21:15:06 UTC
alienarena-7.66-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/alienarena-7.66-7.fc20

Comment 13 Tom "spot" Callaway 2015-06-09 21:15:10 UTC
Try this update. I think it should resolve the ragdoll crashes.

Comment 14 Massimiliano 2015-06-16 07:35:09 UTC
Ragdoll effect enabled for more than one hour without problems.

It seems the good one.

Comment 15 Fedora Update System 2015-06-21 00:13:56 UTC
alienarena-7.66-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-06-21 00:17:39 UTC
alienarena-7.66-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-06-21 00:22:54 UTC
alienarena-7.66-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.